Bug 806248 - webadmin - checkbox - click on line in roster doesn't select desired object/line
webadmin - checkbox - click on line in roster doesn't select desired object/line
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
unspecified
All All
unspecified Severity high
: ---
: ---
Assigned To: Einav Cohen
ux
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-23 05:56 EDT by Pavel Stehlik
Modified: 2016-01-28 16:54 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-05 05:59:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Stehlik 2012-03-23 05:56:42 EDT
Description of problem:
 On many places (adding users, host-networks, etc) in webadmin has to be chosen check-box precisely. During mouse hover above line is that line properly coloured, but nothing happened when user want to click on it. 

Version-Release number of selected component (if applicable):
ovirt-engine-webadmin-portal-3.0.0_0001-3.git4364f1b.fc16.x86_64

How reproducible:
100%

Steps to Reproduce:
1. try to add user - search it & try to click anywhere within that line (except check box)
2.
3.
  
Actual results:
checkbox needs to be select directly

Expected results:
checkbox should be checked/unchecked by clicking also on label within same line

Additional info:
Comment 1 Tomas Jelinek 2012-05-24 05:54:47 EDT
in gerrit: http://gerrit.ovirt.org/#change,4751
Comment 2 Tomas Jelinek 2012-06-15 09:59:45 EDT
in git: 79941697241be9dde53f066d2d0a35099863e11e
Comment 3 Pavel Stehlik 2012-08-02 02:38:39 EDT
Failed - Hosts / Network interfaces still not clickable. Please check also behaviour once VLANs are used.
Comment 4 Tomas Jelinek 2012-08-02 02:41:28 EDT
This regression has been introduced in commit: 31a163c3be33de9f95721b90dc001a9939941bfc

The previous fix will need to be enriched to support also vlans.
Comment 5 Einav Cohen 2013-07-31 10:32:41 EDT
Reducing severity, as I believe that this one irrelevant for at least some of the use-cases, in which the new Setup Host Network dialog is available.

Livnat/Alona - I assume that when a Host belongs to a low cluster-level [3.0, 3.1(?)], we display the "old" Hosts -> Network sub-tab (with the check-boxes, old action buttons, etc.)?
Comment 6 Itamar Heim 2014-01-05 05:59:15 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.